/**
 * Surfaces is an enum containing the unique names of each surface (location in the Netlify UI) that a
 * UI extension can render to.
 *
 * The SDK exposes which surface your extension UI app is currently rendering to, so you can use this enum for
 * routing and display the correct UI for a given surface to a user.
 *
 * Documentation:
 * - [Add a new surface to extension UI](https://developers.netlify.com/sdk/extension-ui/add-a-new-surface/)
 * - [Reference docs](https://developers.netlify.com/sdk/api/netlify/sdk/ui/react/enumerations/surfaces/)
 */
export declare enum Surfaces {
    TeamConfiguration = "extension-team-configuration",
    ConnectConfiguration = "extension-connect-configuration",
    SiteLogs = "extension-site-logs",
    SiteMetrics = "extension-site-metrics",
    SiteAccessConfiguration = "extension-site-access-configuration",
    SiteBuildDeployConfiguration = "extension-site-build-and-deploy-configuration",
    SiteDeploy = "extension-site-deploy",
    SiteGeneralConfiguration = "extension-site-general-configuration",
    SiteNotificationsConfiguration = "extension-site-notifications-configuration",
    SiteConfiguration = "extension-top-level-site-configuration",
    VisualEditorConfiguration = "extension-visual-editor-configuration",
    SiteBuildGame = "extension-site-build-game"
}
//# sourceMappingURL=surfaces.d.ts.map